#! /usr/bin/pythonw
# -*- coding: utf-8 -*-
import wx

class MainApp(wx.App):
    """ A wxPython által felkínált Application class-ból generáljuk az alkalmazást.
        Figyelem: A "constructor" egy kicsit speciális !"""
    def OnInit(self):
        # A főablak generálása
        frame = MainWindow('Hello World !')
        self.SetTopWindow(frame)
        return True

class MainWindow(wx.Frame):
    """ Egy - az alkalmazásunkra adaptált ablak generálása. A wxPython által felkínált alap ablak-class
        Ezért származtattuk le az ablakunkat a wxPython által felkínált alap ablak-class-ból.. """
    def __init__(self, title):
        wx.Frame.__init__(self, None, wx.ID_ANY, title)
        self.Show(True)

if __name__ == "__main__":
    app = MainApp()
    app.MainLoop()


